<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
COPYRIGHT NOTICE:
Copyright 2006 Center for Technology in Government.
The Center grants permission to use and modify this software code free of charge provided  
this copyright notice is included. By using this code you agree to indemnify the Center from 
any liability that might arise from its use. Selling the code is expressly forbidden.
-->
	<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:param name="name"/>
	<xsl:param name="sub"/>
	<xsl:param name="extension"/>
	<xsl:template match="book">
		<html lang="us-en">
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<meta name="description" content="XML Toolkit"/>
				<meta name="keywords" content="CTG, center for technology in government,  government, technology, XML"/>
				<title>
					<xsl:value-of select="title"/>
				</title>
				<style media="screen" type="text/css">
						@import "css/master.css"; /* main css template */
				</style>
				<link rel="stylesheet" href="css/master.css" type="text/css" media="print" />
			</head>
			<body>
			
				<div id="wrapper">
					<div id="banner">
						<a href="#main" id="skiplink" accesskey="" tabindex="0">Skip to Content</a>
						<a href="http://www.ctg.albany.edu" accesskey="" tabindex="0">
							<img src="img/common/ctg_logo.gif" alt="" style="margin-bottom:0;"/>
						</a>
						<img src="img/common/xml_graphic.jpg" alt="" id="graphic"/>
						<img src="img/common/xml_graphic2.jpg" alt="" id="graphic2"/>
						<img src="img/common/xml_graphic3.jpg" alt="" id="graphic3"/>
						<h1>
							<xsl:choose>
								<xsl:when test="$name='Index' or $name='index'">The XML Toolkit</xsl:when>
								<xsl:otherwise>
									<a href="./" accesskey="" tabindex="0">The XML Toolkit</a>
								</xsl:otherwise>
							</xsl:choose>
						</h1>
					</div>
					
					<ul id="nav">
						<xsl:choose>
							<xsl:when test="$name='gettingstarted'">
								<li id="current">
									<a href="./gettingstarted{$extension}" accesskey="" tabindex="0">Getting Started</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./gettingstarted{$extension}" accesskey="" tabindex="0">Getting Started</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='environment'">
								<li id="current">
									<a href="./environment{$extension}" accesskey="" tabindex="0">Environment</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./environment{$extension}" accesskey="" tabindex="0">Environment</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='codesamples'">
								<li id="current">
									<a href="./codesamples{$extension}" accesskey="" tabindex="0">Code Samples</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./codesamples{$extension}" accesskey="" tabindex="0">Code Samples</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='tools'">
								<li id="current">
									<a href="./tools{$extension}" accesskey="" tabindex="0">Tools</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./tools{$extension}" accesskey="" tabindex="0">Tools</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='tips'">
								<li id="current">
									<a href="./tips{$extension}" accesskey="" tabindex="0">Tips</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./tips{$extension}" accesskey="" tabindex="0">Tips</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='guides'">
								<li id="current">
									<a href="./guides{$extension}" accesskey="" tabindex="0">Guides and Reports</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./guides{$extension}" accesskey="" tabindex="0">Guides and Reports</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='inside'">
								<li id="current">
									<a href="./inside{$extension}" accesskey="" tabindex="0">Inside this Site</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./inside{$extension}" accesskey="" tabindex="0">Inside this Site</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="$name='feedback'">
								<li id="current">
									<a href="./feedback{$extension}" accesskey="" tabindex="0">Feedback</a>
								</li>
							</xsl:when>
							<xsl:otherwise>
								<li>
									<a href="./feedback{$extension}" accesskey="" tabindex="0">Feedback</a>
								</li>
							</xsl:otherwise>
						</xsl:choose>
					</ul>
					
					<xsl:choose>
						<xsl:when test="$name='Index' or $name='index'">
							<h1 class="clearboth">
								<a name="main" tabindex="0" accesskey="">
									<xsl:value-of select="chapter[1]/title"/>
								</a>
							</h1>
							<xsl:apply-templates select="chapter[1]/para"/>
							<div id="content">
								<div id="home-sections">
									<xsl:for-each select="chapter[2]/sect1">
										<div class="homepage-block">
											<h1>
												<xsl:apply-templates select="title"/>
											</h1>
											<p>
												<xsl:value-of select="para"/>
											</p>
										</div>
									</xsl:for-each>
									<div class="copyright">Copyright 2006 Center for Technology in Government</div>								
								</div>
										
							</div>
						</xsl:when>
						<xsl:otherwise>
							<h1 class="clearboth">
								<a name="main" tabindex="0" accesskey="">
									<xsl:value-of select="chapter[1]/title"/>
								</a>
							</h1>
							<xsl:apply-templates select="chapter[1]/para"/>
							<div id="content">
								<div id="home-sections">
									<xsl:for-each select="chapter[1]/sect1">
										<div class="level1-block">
											<h1>
												<xsl:apply-templates select="title"/>
											</h1>
											<xsl:apply-templates select="para"/>
										</div>
									</xsl:for-each>
									<div class="copyright">Copyright 2006 Center for Technology in Government</div>
								</div>
									
							</div>	
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:include href="common.xsl"/>
	<xsl:template match="sect1/title">
		<xsl:apply-templates/>
	</xsl:template>
</xsl:stylesheet>
